Create Dedicated Cluster (V2)
Create a dedicated cluster.
The base URL for this API is in the following format:
https://api.cloud.zilliz.com
The endpoints on the control plane currently supports up to 20 requests per second per user per endpoint.
export BASE_URL="https://api.cloud.zilliz.com"
The authentication token should be an API key with appropriate privileges.
Use application/json.
Name of the cluster to create.
Description of the cluster.
ID of the project to which the cluster belongs.
Subscription plan of the project to which the cluster belongs. Possible values are Standard and Enterprise.
CU type of the cluster.
This applies to dedicated clusters only. For free and serverless clusters, the value is empty.
For possible values, you can refer to the drop-down below or find them when you create cluster on Zilliz Cloud console.
CU size of the cluster.
For free and serverless clusters, the value is always 0.
For dedicated clusters in Standard plan, the value can be 1 to 32, and possible values can be 1, 2, 4, 8, 12, 16, 20, 24, 28, 32.
For dedicated clusters in Enterprise plan, the value can be 1 to 1,024, and possible values can be 1, 2, 4, 8, 12, 16, 20, 24, 28, 32,...,64, 72, 80, 88,...,256, 272, 288, ...,1024.
For details on the increment rules for the CU size, refer to the Deployment section in Detailed Plan Comparison.
Key-value labels for BYOC cluster identification.
Custom bucket configuration for BYOC clusters.
The name of the custom storage bucket.
The prefix path within the bucket.
The key identifier for encryption in BYOC clusters.
Autoscaling configuration of the cluster.
CU autoscaling bounds and schedules.
Minimum number of CUs.
Maximum number of CUs.
Scheduled CU scaling targets.
Scheduled autoscaling target.
Cron expression defining when the schedule applies.
Target value applied when the schedule fires.
Timezone of the cron schedule.
Replica autoscaling bounds and schedules.
Minimum number of replicas.
Maximum number of replicas.
Scheduled replica scaling targets.
Scheduled autoscaling target.
Cron expression defining when the schedule applies.
Target value applied when the schedule fires.
Timezone of the cron schedule.
ID of the region where the cluster is created. Required for Free, Serverless, and non-BYOC Dedicated clusters; optional for BYOC Dedicated clusters.
Number of replicas of the cluster. Defaults to 1.
export TOKEN="YOUR_API_KEY"
curl --request POST \
--url "${BASE_URL}/v2/clusters/createDedicated" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Accept: application/json" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json" \
-d '{
"clusterName": "Cluster-05",
"projectId": "proj-xxxxxxxxxxxxxxxxxxxxxx",
"regionId": "aws-us-west-2",
"plan": "Standard",
"cuType": "Performance-optimized",
"cuSize": 1,
"description": "A cluster for vector search workloads."
}'
Returns information about the created cluster in detail.
A response payload variant returned after creating a Dedicated Cluster.
Response code.
Response payload.
ID of the cluster created.
Name of the cluster administration user named db_admin.
Password of the cluster administration user. This value shows up only once when the cluster is created. You are advised to record it securely.
Prompt messages returned.
Returns an error message.
Response code.
Error message.
{
"code": 0,
"data": {
"clusterId": "inxx-xxxxxxxxxxxxxxx",
"username": "db_admin",
"password": "****************",
"prompt": "successfully submitted, cluster is being created. You can access data about the creation progress and status of your cluster by DescribeCluster API. Once the cluster status is RUNNING, you may access your vector database using the SDK with the admin account and the initial password you specified."
}
}